Skip to content

Interface: EmbedOptions ​

Options for direct embed() calls. The loader uses dashboardId and rootElementId instead.

Extends ​

  • Omit<EmbedProps, "onReady" | "onStateError">

Properties ​

PropertyTypeDescriptionInherited from
dashboardUrlstringThe full dashboard URL (e.g. "https://app.ridgedata.ai/api/dashboards/abc123").Omit.dashboardUrl
expiresIn?numberLifetime of jwt in seconds, as POST /api/embed/token returned it. Required with getToken.Omit.expiresIn
getToken?() => Promise<EmbedToken>Optional. Returns a new token from your server as { token, expiresIn }, the response body of POST /api/embed/token. Called at about 80% of the current token's lifetime and when a request gets a 401. Without it, jwt is used for the life of the embed.Omit.getToken
jwtstringJWT used to authenticate the embed.Omit.jwt
onError?OnErrorOptional error callback.Omit.onError
rootHTMLElementContainer element in which to mount the dashboard.-
state?StateValuesInitial state, keyed by component id. Each entry contains the component's named state values.Omit.state
theme?objectOptional theme settings that override existing settings.Omit.theme
theme.dark?object--
theme.dark.accent?string--
theme.dark.accent-foreground?string--
theme.dark.background?string--
theme.dark.border?string--
theme.dark.card?string--
theme.dark.card-border?string--
theme.dark.card-foreground?string--
theme.dark.data-empty?string--
theme.dark.destructive?string--
theme.dark.foreground?string--
theme.dark.input?string--
theme.dark.muted?string--
theme.dark.muted-foreground?string--
theme.dark.negative?string--
theme.dark.popover?string--
theme.dark.popover-foreground?string--
theme.dark.positive?string--
theme.dark.primary?string--
theme.dark.primary-foreground?string--
theme.dark.radius?string--
theme.dark.ring?string--
theme.dark.secondary?string--
theme.dark.secondary-foreground?string--
theme.data?object--
theme.data.background?string--
theme.data.categorical?| string | string[] | { base?: string; colors: string[]; }--
theme.data.color?string--
theme.data.colorDark?string--
theme.data.diverging?| string | string[] | { base?: string; colors: string[]; }--
theme.data.sequential?| string | string[] | { base?: string; colors: string[]; }--
theme.light?object--
theme.light.accent?string--
theme.light.accent-foreground?string--
theme.light.background?string--
theme.light.border?string--
theme.light.card?string--
theme.light.card-border?string--
theme.light.card-foreground?string--
theme.light.data-empty?string--
theme.light.destructive?string--
theme.light.foreground?string--
theme.light.input?string--
theme.light.muted?string--
theme.light.muted-foreground?string--
theme.light.negative?string--
theme.light.popover?string--
theme.light.popover-foreground?string--
theme.light.positive?string--
theme.light.primary?string--
theme.light.primary-foreground?string--
theme.light.radius?string--
theme.light.ring?string--
theme.light.secondary?string--
theme.light.secondary-foreground?string--
theme.typography?Partial<Record<"body" | "h1" | "h2" | "h3" | "h4" | "h5" | "h6", { shade?: "default" | "muted"; size?: number; }>>--